c
c    This file contains all subroutines particularly required for the DOS
c    version (Microsoft Fortran) of the FRAC_DAM computer program.
c
c                                  Sudip S.B./Ecole/February 03/1994
c
c     ----------------------------------------------------------------TIMEFN
      subroutine timefn
      character*10 xtime
      common /iolist/ ntm,ntr,nin,not,nsp,nfl,nt7,nt8,nt9,nt10,nt11(4)
c
c.....Collects the system clock time and prints in the output file
c
      call pctime (xtime)
      write (not,4001) xtime
c
 4001 format (//' System clock time:------>',a10)
c
      return
      end
c     -------------------------------------------------------------------SCLEAR
      subroutine sclear
c.....clear PC screen and home cursor on monitor
c           Zienkiewicz and Taylor, Vol.I (p.504)
      write (*,2000) char(27)
 2000 format (1x,a1,'[2J')
      return
      end
c     ------------------------------------------------------------------PCTIME
      subroutine pctime (xtime)
      character*10 xtime
c
c     Time routine for Microsoft version 5.0 
c                      (Adapted from Zienkiewicz and Taylor, Vol.II, p. 699)
c
c      call gettim (ihr,imin,isec,ihth)
      write (xtime,2000) ihr,imin,isec
 2000 format (i3,':',i2,':',i2)
      return
      end
c     -----------------------------------------------------------------TELAPSD
      subroutine telapsd (mtime,itime)
c      call gettim (ihr,imin,isec,ihth)
c
c     Computes the CPU time spent during a step-by-step analysis
c       Latest modifications:  Sudip S.Bhattacharejee/McGill/April 26, 1993
c
      jtime=ihr*3600+imin*60+isec
      if (mtime .eq. 0  .and.  itime .eq. 0) then
         itime=jtime
         return
      endif
      if (jtime .lt. itime) then
         mtime=mtime+(24*3600-itime)+jtime
      else
         mtime=mtime+(jtime-itime)
      endif
      itime=jtime
c
      return
      end
c-------------------------------------------------------------------------IOSET
      subroutine ioset
      common /iolist/ ntm,ntr,nin,not,nsp,nfl,nt7,nt8,nt9,nt10,nt11,
     +nt12,nt13,nt14
c
c     Set input/output units
c
c     ntm=unit numer for on-screen input/output
c     nin=input file unit number
c     not=output file unit number
c     nsp=unit no. for direct access file containing element information
c     ntr=unit no. for nodal temperature data file
c     nfl=unit no. for file containing bakup of dead load and mass matrix
c     nt7=unit no. for file containing displacement and stress solutions
c     nt8=unit no. for file to store strain-displacement transformation matrix
c         at each integration point and the element responses at each point
c
      ntm=0
      nin=1
      not=2
      nsp=3
      ntr=4
      nfl=5
      nt7=7
      nt8=8
      nt9=12
      nt10=13
      nt11=14
      nt12=15
      nt13=16
      nt14=17
c
      return
      end
